## r-bioc-biocio 1.4.0+dfsg

=== DESCRIPTION ===
Package: BiocIO
Title: Standard Input and Output for Bioconductor Packages
Version: 1.4.0
Authors@R: c(
    person("Martin", "Morgan", role = "aut"),
    person("Michael", "Lawrence", role = "aut"),
    person("Daniel", "Van Twisk", role = "aut"),
    person(
        family = "Bioconductor Package Maintainer",
        role = "cre",
        email = "maintainer@bioconductor.org"
    ))
Description: Implements `import()` and `export()` standard generics
    for importing and exporting biological data formats. `import()`
    supports whole-file as well as chunk-wise iterative import. The
    `import()` interface optionally provides a standard mechanism for
    'lazy' access via `filter()` (on row or element-like components of
    the file resource), `select()` (on column-like components of the
    file resource) and `collect()`. The `import()` interface
    optionally provides transparent access to remote (e.g. via https)
    as well as local access. Developers can register a file extension,
    e.g., `.loom` for dispatch from character-based URIs to specific
    `import()` / `export()` methods based on classes representing file
    types, e.g., `LoomFile()`.
License: Artistic-2.0
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.1
Depends: R (>= 4.0)
Imports: BiocGenerics, S4Vectors, methods, tools
Suggests: testthat, knitr, rmarkdown, BiocStyle
Collate: export.R import.R BiocFile.R compression.R
VignetteBuilder: knitr
biocViews: Annotation,DataImport
BugReports: https://github.com/Bioconductor/BiocIO/issues
git_url: https://git.bioconductor.org/packages/BiocIO
git_branch: RELEASE_3_14
git_last_commit: c335932
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: no
Packaged: 2021-10-26 20:54:28 UTC; biocbuild
Author: Martin Morgan [aut],
  Michael Lawrence [aut],
  Daniel Van Twisk [aut],
  Bioconductor Package Maintainer [cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-biocio (1.4.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.4.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 20:32:45 +0530

r-bioc-biocio (1.2.0+dfsg-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 14:47:13 +0200

r-bioc-biocio (1.2.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #993814)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 21:38:36 +0200

=== debian/control ===
Source: r-bioc-biocio
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-s4vectors
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocio
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocio.git
Homepage: https://bioconductor.org/packages/BiocIO/
Rules-Requires-Root: no

Package: r-bioc-biocio
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: standard input and output for Bioconductor packages
 Implements `import()` and `export()` standard generics
 for importing and exporting biological data formats. `import()`
 supports whole-file as well as chunk-wise iterative import. The
 `import()` interface optionally provides a standard mechanism for
 'lazy' access via `filter()` (on row or element-like components of
 the file resource), `select()` (on column-like components of the
 file resource) and `collect()`. The `import()` interface
 optionally provides transparent access to remote (e.g. via https)
 as well as local access. Developers can register a file extension,
 e.g., `.loom` for dispatch from character-based URIs to specific
 `import()` / `export()` methods based on classes representing file
 types, e.g., `LoomFile()`.

## r-bioc-biocio 1.6.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BiocIO
 Title: Standard Input and Output for Bioconductor Packages
-Version: 1.4.0
+Version: 1.6.0
 Authors@R: c(
     person("Martin", "Morgan", role = "aut"),
     person("Michael", "Lawrence", role = "aut"),
@@ -34,12 +34,12 @@
 biocViews: Annotation,DataImport
 BugReports: https://github.com/Bioconductor/BiocIO/issues
 git_url: https://git.bioconductor.org/packages/BiocIO
-git_branch: RELEASE_3_14
-git_last_commit: c335932
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 60c8aa1
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 20:54:28 UTC; biocbuild
+Packaged: 2022-04-26 20:04:48 UTC; biocbuild
 Author: Martin Morgan [aut],
   Michael Lawrence [aut],
   Daniel Van Twisk [aut],

=== debian/changelog ===
r-bioc-biocio (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 11:35:59 +0200

## r-bioc-biocio 1.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BiocIO
 Title: Standard Input and Output for Bioconductor Packages
-Version: 1.6.0
+Version: 1.8.0
 Authors@R: c(
     person("Martin", "Morgan", role = "aut"),
     person("Michael", "Lawrence", role = "aut"),
@@ -10,9 +10,11 @@
         role = "cre",
         email = "maintainer@bioconductor.org"
     ))
-Description: Implements `import()` and `export()` standard generics
-    for importing and exporting biological data formats. `import()`
-    supports whole-file as well as chunk-wise iterative import. The
+Description: The `BiocIO` package contains high-level abstract classes
+    and generics used by developers to build IO funcionality within the
+    Bioconductor suite of packages. Implements `import()` and `export()`
+    standard generics for importing and exporting biological data formats.
+    `import()` supports whole-file as well as chunk-wise iterative import. The
     `import()` interface optionally provides a standard mechanism for
     'lazy' access via `filter()` (on row or element-like components of
     the file resource), `select()` (on column-like components of the
@@ -34,12 +36,12 @@
 biocViews: Annotation,DataImport
 BugReports: https://github.com/Bioconductor/BiocIO/issues
 git_url: https://git.bioconductor.org/packages/BiocIO
-git_branch: RELEASE_3_15
-git_last_commit: 60c8aa1
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 4a719fa
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 20:04:48 UTC; biocbuild
+Packaged: 2022-11-01 20:55:57 UTC; biocbuild
 Author: Martin Morgan [aut],
   Michael Lawrence [aut],
   Daniel Van Twisk [aut],

=== debian/changelog ===
r-bioc-biocio (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 13:43:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-bioc-biocio
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocio
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocio.git
+Homepage: https://bioconductor.org/packages/BiocIO/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics,
                r-bioc-s4vectors
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocio
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocio.git
-Homepage: https://bioconductor.org/packages/BiocIO/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-biocio
 Architecture: all

## r-bioc-biocio 1.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Package: BiocIO
 Title: Standard Input and Output for Bioconductor Packages
-Version: 1.8.0
+Version: 1.10.0
 Authors@R: c(
     person("Martin", "Morgan", role = "aut"),
     person("Michael", "Lawrence", role = "aut"),
     person("Daniel", "Van Twisk", role = "aut"),
-    person(
-        family = "Bioconductor Package Maintainer",
-        role = "cre",
-        email = "maintainer@bioconductor.org"
+    person("Marcel", "Ramos", , "marcel.ramos@roswellpark.org",
+        "cre", c(ORCID = "0000-0002-3242-0582")
     ))
 Description: The `BiocIO` package contains high-level abstract classes
     and generics used by developers to build IO funcionality within the
@@ -27,23 +25,23 @@
 License: Artistic-2.0
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.1.1
-Depends: R (>= 4.0)
+RoxygenNote: 7.2.3
+Depends: R (>= 4.3.0)
 Imports: BiocGenerics, S4Vectors, methods, tools
 Suggests: testthat, knitr, rmarkdown, BiocStyle
-Collate: export.R import.R BiocFile.R compression.R
+Collate: 'BiocFile.R' 'import_export.R' 'compression.R' 'utils.R'
 VignetteBuilder: knitr
 biocViews: Annotation,DataImport
 BugReports: https://github.com/Bioconductor/BiocIO/issues
 git_url: https://git.bioconductor.org/packages/BiocIO
-git_branch: RELEASE_3_16
-git_last_commit: 4a719fa
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 1368ff1
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 20:55:57 UTC; biocbuild
+Packaged: 2023-04-25 20:19:38 UTC; biocbuild
 Author: Martin Morgan [aut],
   Michael Lawrence [aut],
   Daniel Van Twisk [aut],
-  Bioconductor Package Maintainer [cre]
-Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
+  Marcel Ramos [cre] (<https://orcid.org/0000-0002-3242-0582>)
+Maintainer: Marcel Ramos <marcel.ramos@roswellpark.org>

=== debian/changelog ===
r-bioc-biocio (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 22:09:56 +0200

## r-bioc-biocio 1.12.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BiocIO
 Title: Standard Input and Output for Bioconductor Packages
-Version: 1.10.0
+Version: 1.12.0
 Authors@R: c(
     person("Martin", "Morgan", role = "aut"),
     person("Michael", "Lawrence", role = "aut"),
@@ -34,12 +34,12 @@
 biocViews: Annotation,DataImport
 BugReports: https://github.com/Bioconductor/BiocIO/issues
 git_url: https://git.bioconductor.org/packages/BiocIO
-git_branch: RELEASE_3_17
-git_last_commit: 1368ff1
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 893a6eb
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 20:19:38 UTC; biocbuild
+Packaged: 2023-10-24 20:26:04 UTC; biocbuild
 Author: Martin Morgan [aut],
   Michael Lawrence [aut],
   Daniel Van Twisk [aut],

=== debian/changelog ===
r-bioc-biocio (1.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 07:39:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocio
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocio.git
 Homepage: https://bioconductor.org/packages/BiocIO/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/BiocIO.html .*/BiocIO_(.*).tar.gz

## r-bioc-biocio 1.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BiocIO
 Title: Standard Input and Output for Bioconductor Packages
-Version: 1.12.0
+Version: 1.14.0
 Authors@R: c(
     person("Martin", "Morgan", role = "aut"),
     person("Michael", "Lawrence", role = "aut"),
@@ -25,7 +25,7 @@
 License: Artistic-2.0
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Depends: R (>= 4.3.0)
 Imports: BiocGenerics, S4Vectors, methods, tools
 Suggests: testthat, knitr, rmarkdown, BiocStyle
@@ -33,13 +33,15 @@
 VignetteBuilder: knitr
 biocViews: Annotation,DataImport
 BugReports: https://github.com/Bioconductor/BiocIO/issues
+Date: 2024-04-25
 git_url: https://git.bioconductor.org/packages/BiocIO
-git_branch: RELEASE_3_18
-git_last_commit: 893a6eb
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: ecae62e
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 20:26:04 UTC; biocbuild
+Packaged: 2024-05-01 02:45:27 UTC; biocbuild
 Author: Martin Morgan [aut],
   Michael Lawrence [aut],
   Daniel Van Twisk [aut],

=== debian/changelog ===
r-bioc-biocio (1.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:21:20 +0200

r-bioc-biocio (1.14.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 17:59:50 +0200

r-bioc-biocio (1.14.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 22:32:45 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics,
-               r-bioc-s4vectors
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-s4vectors (>= 0.42.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-biocio
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-s4vectors (>= 0.42.1)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: standard input and output for Bioconductor packages

## r-bioc-biocio 1.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: BiocIO
 Title: Standard Input and Output for Bioconductor Packages
-Version: 1.14.0
+Version: 1.16.0
 Authors@R: c(
     person("Martin", "Morgan", role = "aut"),
     person("Michael", "Lawrence", role = "aut"),
     person("Daniel", "Van Twisk", role = "aut"),
-    person("Marcel", "Ramos", , "marcel.ramos@roswellpark.org",
+    person("Marcel", "Ramos", , "marcel.ramos@sph.cuny.edu",
         "cre", c(ORCID = "0000-0002-3242-0582")
     ))
 Description: The `BiocIO` package contains high-level abstract classes
@@ -25,7 +25,7 @@
 License: Artistic-2.0
 Encoding: UTF-8
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 Depends: R (>= 4.3.0)
 Imports: BiocGenerics, S4Vectors, methods, tools
 Suggests: testthat, knitr, rmarkdown, BiocStyle
@@ -33,17 +33,17 @@
 VignetteBuilder: knitr
 biocViews: Annotation,DataImport
 BugReports: https://github.com/Bioconductor/BiocIO/issues
-Date: 2024-04-25
+Date: 2024-08-22
 git_url: https://git.bioconductor.org/packages/BiocIO
-git_branch: RELEASE_3_19
-git_last_commit: ecae62e
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 8e80624
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 02:45:27 UTC; biocbuild
+Packaged: 2024-10-29 23:41:59 UTC; biocbuild
 Author: Martin Morgan [aut],
   Michael Lawrence [aut],
   Daniel Van Twisk [aut],
   Marcel Ramos [cre] (<https://orcid.org/0000-0002-3242-0582>)
-Maintainer: Marcel Ramos <marcel.ramos@roswellpark.org>
+Maintainer: Marcel Ramos <marcel.ramos@sph.cuny.edu>

=== debian/changelog ===
r-bioc-biocio (1.16.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 03:28:14 +0100

r-bioc-biocio (1.16.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 11:48:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,19 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocio
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocio.git
 Homepage: https://bioconductor.org/packages/BiocIO/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.50.0),
-               r-bioc-s4vectors (>= 0.42.1)
+               r-bioc-biocgenerics,
+               r-bioc-s4vectors
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-biocio
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-bioc-biocgenerics (>= 0.50.0),
-         r-bioc-s4vectors (>= 0.42.1)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: standard input and output for Bioconductor packages
